# Generated from cron_format-0.7.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cron_format

Name: rubygem-%{gem_name}
Version: 0.7.0
Release: 1%{?dist}
Summary: Accepts a cron expression and outputs the relative time (e.g. 0 7 1 1 * * => 2019-01-01 07:00:00 +0000
License: MIT
URL: https://github.com/jrobertson/cron_format
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1.2
BuildArch: noarch

%description
Accepts a cron expression and outputs the relative time (e.g. 0 7 1 1 * * =>
2019-01-01 07:00:00 +0000.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Feb 07 2022 mockbuilder - 0.7.0-1
- Initial package
